Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.modloader
Interface IModLoaderSidedHelper

All Known Implementing Classes:
  ModLoaderClientHelper

    public interface IModLoaderSidedHelper

Method Summary
`boolean` | `clientConnectionClosed(INetworkManager manager, BaseModProxy mod)`
`void` | `clientConnectionOpened(NetHandler netClientHandler, INetworkManager manager, BaseModProxy mod)`
`void` | `finishModLoading(ModLoaderModContainer mc)`
`Object` | `getClientGui(BaseModProxy mod, EntityPlayer player, int iD, int x, int y, int z)`
`void` | `sendClientPacket(BaseModProxy mod, Packet250CustomPayload packet)`
`Entity` | `spawnEntity(BaseModProxy mod, EntitySpawnPacket input, EntityRegistry.EntityRegistration registration)`

Method Detail

### finishModLoading

    void finishModLoading(ModLoaderModContainer mc)

### getClientGui

    Object getClientGui(BaseModProxy mod,
                        EntityPlayer player,
                        int iD,
                        int x,
                        int y,
                        int z)

### spawnEntity

    Entity spawnEntity(BaseModProxy mod,
                       EntitySpawnPacket input,
                       EntityRegistry.EntityRegistration registration)

### sendClientPacket

    void sendClientPacket(BaseModProxy mod,
                          Packet250CustomPayload packet)

### clientConnectionOpened

    void clientConnectionOpened(NetHandler netClientHandler,
                                INetworkManager manager,
                                BaseModProxy mod)

### clientConnectionClosed

    boolean clientConnectionClosed(INetworkManager manager,
                                   BaseModProxy mod)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD